/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_GEN_SUBDIV_H
#define _TF_DIALOG_GEN_SUBDIV_H


#include "GuiDialogOAC.h"				// include gtk. gtk--
#include "TFWindowHandler.h"


/*
 *  TFDialogGenSubdiv: display the d options dialog for terraformer
 */
class TFDialogGenSubdiv : public GuiDialogOAC
	{
	public: 
				TFDialogGenSubdiv (HeightField *HF);
				~TFDialogGenSubdiv (); 
		void		refresh ();
		void		setHFobjs (HeightField *HF);
		void		seedCornersCheckboxCallback ();
		void		seedCheckboxCallback ();
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		fillVBox ();
		gint 		delete_event_impl (GdkEventAny *);

		int			d_mode;
		Gtk_VBox		d_vbList;
		Gtk_HBox		d_hbMethod, d_hbSize, d_hbScaleFactor, 
					d_hbGenSeed, d_hbSeed;
		Gtk_CheckButton		d_btnGenSeed;
		Gtk_Entry		d_enSeed;
		Gtk_HSeparator		d_sepMain;
		Gtk_Combo		*d_cmbMethod;
		Gtk_Label		*d_lblMethod, *d_lblSize, *d_lblScaleFactor, 
					*d_lblGenSeed, *d_lblSeed;
		Gtk_Adjustment		*d_adjScaleFactor, *d_adjSize;
		Gtk_HScale		*d_hsScaleFactor, *d_hsSize;
		GList			*d_glstMethod;
		char			*d_seedInitStr;
		HeightField		*d_HF;
		HeightFieldGenSubdiv	*d_HFGen;
		TFWindowHandler 	*d_tfWinHandler;
	};


#endif // _TF_DIALOG_GEN_SUBDIV_H
